Overview
GET
/system/audit-events/{id}systemGet audit_events by id
Fetch a record from audit-events by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
audit_events
- idstring
- ecosystemIdstring?
- developerIdstring?
- actorUserIdstring?
- eventTypestring
- payloadstring
- ipAddressstring
- userAgentstring
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"developerId": "string",
"actorUserId": "string",
"eventType": "string",
"payload": "string",
"ipAddress": "string",
"userAgent": "string",
"createdAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/system/audit-events/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/system/audit-events/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();